%define tarball_version 1_3_53

Summary: NFS server configuration tool
Name: system-config-nfs
Version: 1.3.53
Release: 2
URL: http://fedorahosted.org/%{name}
License: GPLv2+
Group: System/Configuration/Networking
BuildArch: noarch
Source0: http://fedorahosted.org/released/%{name}/%{name}-%{tarball_version}.tar.bz2
Patch0: service_name.patch
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: python
Obsoletes: system-config-nfs < 1.3.42
Requires: system-config-nfs-docs
Requires: pygtk2.0
Requires: pygtk2.0-libglade
Requires: python >= 2.0
Requires: nfs-utils
Requires: usermode
Requires: hicolor-icon-theme

%description
system-config-nfs is a graphical user interface for creating, 
modifying, and deleting nfs shares.

%prep
%setup -q -n %{name}-%{tarball_version}
%patch0 -p1

%build
%make %{?with_console_util:CONSOLE_USE_CONFIG_UTIL=1}

%install
make DESTDIR=%{buildroot} install

desktop-file-install --vendor system --delete-original       \
  --dir %{buildroot}%{_datadir}/applications             \
  --add-category X-Red-Hat-Base        \
  --add-category X-Red-Hat-ServerConfig        \
  %{buildroot}%{_datadir}/applications/system-config-nfs.desktop

%find_lang %name

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%doc COPYING
%{_bindir}/system-config-nfs
%{_datadir}/system-config-nfs
%{_datadir}/applications/system-config-nfs.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%config(noreplace) %{_sysconfdir}/security/console.apps/system-config-nfs
%config(noreplace) %{_sysconfdir}/pam.d/system-config-nfs



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.3.53-2
+ Revision: 980020c
- MassBuild#440: Increase release tag


